Module javafx.base
Package javafx.util.converter

## Class BigDecimalStringConverter

- java.lang.Object
- - javafx.util.StringConverter<BigDecimal>
  - - javafx.util.converter.BigDecimalStringConverter

-     public class BigDecimalStringConverter
      extends StringConverter<BigDecimal>

  `StringConverter` implementation for `BigDecimal` values.

  Since:
    JavaFX 2.1

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BigDecimalStringConverter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BigDecimal` | `fromString​(String value)` | Converts the string provided into an object defined by the specific converter.
    `String` | `toString​(BigDecimal value)` | Converts the object provided into its string form.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BigDecimalStringConverter

          public BigDecimalStringConverter()

  - ### Method Detail

    - #### fromString

          public BigDecimal fromString​(String value)

      Converts the string provided into an object defined by the specific converter. Format of the string and type of the resulting object is defined by the specific converter.
      Specified by:
        `fromString` in class `StringConverter<BigDecimal>`
      Parameters:
        `value` - the `String` to convert
      Returns:
        an object representation of the string passed in.

    - #### toString

          public String toString​(BigDecimal value)

      Converts the object provided into its string form. Format of the returned string is defined by the specific converter.
      Specified by:
        `toString` in class `StringConverter<BigDecimal>`
      Parameters:
        `value` - the object of type `T` to convert
      Returns:
        a string representation of the object passed in.